net.sourceforge.pmd.lang.cpp

## Class CppHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.cpp.CppHandler

All Implemented Interfaces:
  LanguageVersionHandler

    public class CppHandler
    extends AbstractLanguageVersionHandler

Implementation of LanguageVersionHandler for the C++ Language.

### Constructor Summary

Constructors
Constructor and Description
`CppHandler()`

### Method Summary

Methods
`Parser` `getParser(ParserOptions parserOptions)` Get the Parser.
`RuleViolationFactory` `getRuleViolationFactory()` Get the RuleViolationFactory.

### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

`getDataFlowFacade, getDataFlowHandler, getDefaultParserOptions, getDumpFacade, getSymbolFacade, getTypeResolutionFacade, getXPathHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CppHandler

    public CppHandler()

### Method Detail

#### getRuleViolationFactory

    public RuleViolationFactory getRuleViolationFactory()

Description copied from interface: `LanguageVersionHandler`
Get the RuleViolationFactory.

#### getParser

    public Parser getParser(ParserOptions parserOptions)

Description copied from interface: `LanguageVersionHandler`
Get the Parser.

Returns:
  Parser